summaryrefslogtreecommitdiffstats
path: root/.local/bin/conky
diff options
context:
space:
mode:
authorJoe <rrbo@proton.me>2023-02-03 12:01:36 +0100
committerJoe <rrbo@proton.me>2023-02-03 12:01:36 +0100
commitfc4ba5964e6ba0b4fae9057a7b80389bff5758bc (patch)
tree4a85ff9dc5bb589a6d36106c9e298e6ea0d72f3a /.local/bin/conky
parentup (diff)
downloaddotfiles-bsd-fc4ba5964e6ba0b4fae9057a7b80389bff5758bc.tar.gz
dotfiles-bsd-fc4ba5964e6ba0b4fae9057a7b80389bff5758bc.tar.bz2
dotfiles-bsd-fc4ba5964e6ba0b4fae9057a7b80389bff5758bc.tar.xz
dotfiles-bsd-fc4ba5964e6ba0b4fae9057a7b80389bff5758bc.tar.zst
dotfiles-bsd-fc4ba5964e6ba0b4fae9057a7b80389bff5758bc.zip
works for now
Diffstat (limited to '.local/bin/conky')
-rwxr-xr-x.local/bin/conky/net.sh33
1 files changed, 16 insertions, 17 deletions
diff --git a/.local/bin/conky/net.sh b/.local/bin/conky/net.sh
index 7a95f70..2e23708 100755
--- a/.local/bin/conky/net.sh
+++ b/.local/bin/conky/net.sh
@@ -14,7 +14,7 @@ if ! [ -e "/tmp/os" ]; then
fi
echo $os >$tmpfile
else
- $os=$(cat $tmpfile)
+ os=$(cat $tmpfile)
fi
case $os in
@@ -47,19 +47,18 @@ case $os in
;;
esac
-echo '${color grey}Net'
-# ${hr}${if_up enx4ce1734c425a}
-# ${color grey}LAN IP: ${font1}${color white}${addr enx4ce1734c425a}${font}
-# ${color grey}---------
-# ${color grey}VPN IP: ${font1}${color white}${addr proton0}${font}
-# ${color grey}---------
-# ${color grey}Public IP: ${color white}${font1}${execi 300 curl -s https://ifconfig.me || echo No Address}${font}${color grey}
-# ${hr}
-# ${color grey}Down: ${color white}${font1}${downspeed enx4ce1734c425a} ${font}${color grey}- Up: ${color white}${font1}${upspeed enx4ce1734c425a}${font}
-# ${color grey}Down: ${color white}${downspeedgraph enx4ce1734c425a bfbfbf c0c0c0 125829120}
-# ${color grey}Up: ${color white}${upspeedgraph enx4ce1734c425a bfbfbf c0c0c0 125829120}
-# ${hr}
-# ${color grey}DNS:
-# ${font1}${color white}${nameserver 0}${font}
-# ${font1}${color white}${nameserver 1}${font}
-# ${hr}${endif}
+echo '${hr}
+${color grey}Interface: ${font1}${color white}'$if_main'${font}
+${color grey}---------
+${color grey}LAN IP: ${font1}${color white}${addr '$if_main'}${font}
+${color grey}VPN IP: ${font1}${color white}${addr proton0}${font}
+${color grey}Public IP: ${color white}${font1}${execi 300 curl -s https://ifconfig.me || echo No Address}${font}${color grey}
+${hr}
+${color grey}Down: ${color white}${font1}${downspeed '$if_main'} ${font}${color grey}- Up: ${color white}${font1}${upspeed '$if_main'}${font}
+${color grey}Down: ${color white}${downspeedgraph '$if_main' bfbfbf c0c0c0 125829120}
+${color grey}Up: ${color white}${upspeedgraph '$if_main' bfbfbf c0c0c0 125829120}
+${hr}
+${color grey}DNS:
+${font1}${color white}${nameserver 0}${font}
+${font1}${color white}${nameserver 1}${font}
+${hr}'